<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFieldsTable extends Migration
{
    public function up(): void
    {
        Schema::create('fields', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('respondable_id')->nullable();
            $table->string('respondable_type')->nullable();
            $table->unsignedInteger('section_id')->nullable();
            $table->string('type');
            $table->string('label');
            $table->string('name');
            $table->schemalessAttributes('data');
            $table->timestamps();

            $table->index('respondable_id');
            $table->index('respondable_type');
            $table->index('section_id');
            $table->index('type');
        });
    }
}
