<?php

namespace EventPortal\Domain\Response\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphOne;

abstract class RespondableModel extends Model
{
    public function response(): MorphOne
    {
        return $this->morphOne(Response::class, 'respondable');
    }

    /** @return mixed **/
    public function getValueAttribute()
    {
        return $this->response->data->get('value');
    }
}
